<?php
/**
 * card_update header_php.php
 *
 * @package page
 * @copyright Copyright 2003-2007 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: header_php.php 6363 2007-05-24 21:18:22Z drbyte $
 */

// if the customer is not logged on, redirect them to the login page
  if (!$_SESSION['customer_id']) {
    $_SESSION['navigation']->set_snapshot();
    zen_redirect(zen_href_link(FILENAME_LOGIN, '', 'SSL'));
  } else {
    // validate customer
    if (zen_get_customer_validate_session($_SESSION['customer_id']) == false) {
      $_SESSION['navigation']->set_snapshot();
      zen_redirect(zen_href_link(FILENAME_LOGIN, '', 'SSL'));
    }
  }

  require(DIR_WS_MODULES . 'require_languages.php');
  $breadcrumb->add(NAVBAR_TITLE);

  include(DIR_WS_MODULES . 'payment/authorizenet_cim.php');

  $csql = "select * from " . TABLE_CUSTOMERS . "
           WHERE customers_id = :custID ";
  $csql = $db->bindVars($csql, ':custID', $_SESSION['customer_id'], 'integer');
  $user = $db->Execute($csql);

  $cim = new authorizenet_cim();

  $cim->setParameter('customerProfileId', $user->fields['customers_customerProfileId']); // Numeric (required)
  $cim->setParameter('customerPaymentProfileId', $user->fields['customers_customerPaymentProfileId']); // Numeric (required)
  $cim->setParameter('customerShippingAddressId', $user->fields['customers_customerShippingAddressId']); // Numeric (optional)

// updateCustomerProfileRequest
if ($_POST["authorizenet_cim_cc_number"] != "") {

	$cim->setParameter('refId', $_SESSION['customer_id']); // Up to 20 characters (optional)
	$cim->setParameter('validationMode', $cim->validationMode);

		$card_number = zen_db_prepare_input($_POST['authorizenet_cim_cc_number']);
		$card_date = "20".zen_db_prepare_input($_POST['authorizenet_cim_cc_expires_year']);
		$card_date .= '-'.zen_db_prepare_input($_POST['authorizenet_cim_cc_expires_month']);


  $csql = "select * from " . TABLE_COUNTRIES . "
           WHERE countries_id = :countryID ";
  $csql = $db->bindVars($csql, ':countryID', zen_db_prepare_input($_POST['zone_country_id']), 'integer');
  $country = $db->Execute($csql);
      $bill_country = $country->fields['countries_iso_code_2'];

	$cim->setParameter('paymentType', 'creditCard');
    $cim->setParameter('cardNumber', $card_number);
    $cim->setParameter('expirationDate', $card_date); // (YYYY-MM)

    $cim->setParameter('billTo_firstName', zen_db_prepare_input($_POST['firstname'])); // Up to 50 characters (no symbols)
    $cim->setParameter('billTo_lastName', zen_db_prepare_input($_POST['lastname'])); // Up to 50 characters (no symbols)
    if ($_POST['company'] != "")
    $cim->setParameter('billTo_company', zen_db_prepare_input($_POST['company'])); // Up to 50 characters (no symbols) (optional)
    $cim->setParameter('billTo_address', zen_db_prepare_input($_POST['street_address'])); // Up to 60 characters (no symbols)
    $cim->setParameter('billTo_city', zen_db_prepare_input($_POST['city'])); // Up to 40 characters (no symbols)
    $cim->setParameter('billTo_state', zen_db_prepare_input($_POST['state'])); // A valid two-character state code (US only) (optional)
    $cim->setParameter('billTo_zip', zen_db_prepare_input($_POST['postcode'])); // Up to 20 characters (no symbols)
    $cim->setParameter('billTo_country',  $bill_country); // Up to 60 characters (no symbols) (optional)
    //$cim->setParameter('billTo_phoneNumber', zen_db_prepare_input($_POST['authorizenet_cim_cc_number'])); // Up to 25 digits (no letters) (optional)
    //$cim->setParameter('billTo_faxNumber', zen_db_prepare_input($_POST['authorizenet_cim_cc_number'])); // Up to 25 digits (no letters) (optional)

if ($user->fields['customers_customerPaymentProfileId'] == '0')
    $cim->createCustomerPaymentProfileRequest();
else
    $cim->updateCustomerPaymentProfileRequest();

if ($cim->success)
{
			zen_redirect(zen_href_link("index.php?main_page=account");
}

}
